Bug 803317 - Review Request: trac-themeengine-plugin - Simple API and GUI for packaging and configuring Trac themes
Review Request: trac-themeengine-plugin - Simple API and GUI for packaging an...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-14 08:45 EDT by Andrea Veri
Modified: 2013-05-20 21:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: trac-themeengine-plugin-2.0.1-20120314svn11382.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-20 21:46:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andrea Veri 2012-03-14 08:45:33 EDT
Spec URL: http://averi.fedorapeople.org/RPMs/trac-themeengine-plugin/trac-themeengine-plugin.spec
SRPM URL: http://averi.fedorapeople.org/RPMs/trac-themeengine-plugin/trac-themeengine-plugin-2.0.1-20120314svn11382.fc16.src.rpm
Description: A trac plugin that adds a simple API and GUI for packaging and configuring Trac themes.
Comment 1 Kevin Fenzi 2012-03-14 16:22:45 EDT
I'll review this. Look for a full review in a bit.
Comment 2 Kevin Fenzi 2012-03-14 16:37:54 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (BSD)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
see below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. Might be good to ping upstream to include a copy of their license. Right now it's just the 
setup.py statement. 

2. rpmlint says: 

trac-themeengine-plugin.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/themeengine/htdocs/jquery.rule-min.js
trac-themeengine-plugin.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/themeengine/htdocs/jquery.rule-min.js
trac-themeengine-plugin.noarch: E: script-without-shebang /usr/lib/python2.7/site-packages/themeengine/htdocs/jquery.rule.js
trac-themeengine-plugin.noarch: E: wrong-script-end-of-line-encoding /usr/lib/python2.7/site-packages/themeengine/htdocs/jquery.rule.js
trac-themeengine-plugin.src: W: invalid-url Source0: trac-themeengine-plugin-2.0.1.svn11382.tar.gz
2 packages and 0 specfiles checked; 4 errors, 1 warnings.

All those could be ignored. 

I see no blockers here, so this package is APPROVED. 

Happy to co-maintain.
Comment 3 Andrea Veri 2012-03-15 07:20:28 EDT
New Package SCM Request
=======================
Package Name: trac-themeengine-plugin
Short Description: Simple API and GUI for packaging and configuring Trac themes
Owners: averi kevin
Branches: f16 f17 el6
InitialCC: averi kevin
Comment 4 Gwyn Ciesla 2012-03-15 08:40:25 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-03-15 09:37:23 EDT
trac-themeengine-plugin-2.0.1-20120314svn11382.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-themeengine-plugin-2.0.1-20120314svn11382.el6
Comment 6 Fedora Update System 2012-03-15 15:53:16 EDT
trac-themeengine-plugin-2.0.1-20120314svn11382.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 7 Kevin Fenzi 2013-02-02 21:52:05 EST
Shall we push this to stable now?
Comment 8 Fedora Update System 2013-05-20 21:46:00 EDT
trac-themeengine-plugin-2.0.1-20120314svn11382.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.